Множественные уязвимости в TYPO3 Store Locator

Дата публикации:
29.04.2009
Дата изменения:
29.04.2009
Всего просмотров:
1672
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Store Locator 1.x (расширение к TYPO3)
Уязвимые версии: Store Locator 1.2.6, возможно более ранние версии

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение и выполнить произвольные SQL команды в базе данных приложения.

1. Уязвимость существует из-за недостаточной обработки входных данных. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

2. Уязвимость существует из-за недостаточной обработки входных данных. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения.

URL производителя: typo3.org/extensions/repository/view/locator/current/

Решение: Установите последнюю версию 1.2.8 с сайта производителя.

Ссылки: http://typo3.org/teams/security/security-bulletins/typo3-sa-2009-005/

или введите имя

CAPTCHA